﻿## Description

Adds 4 Skeleton, 3 Surtling, 3 Golem, 3 Wolf, 3 Wolf Cub, 2 Blob and 2 Ghost reskins.
Adds 25 Status Effects.

## Monster Reskins and Changes

**Skeleton (Red Eyes)**

	Faction: Undead
	Weapons: Sword or Bow (20 Physical and 15 Fire damage)
	50 base Health
	New Drops: Trophy
	Model: Deeper Colour with Red Eyes and Weapons.
	
**Skeleton (Green Eyes)**

	Faction: Undead
	Weapons: Sword or Bow (25 Physical and 25 Poison damage)
	100 base Health
	New Drops: Trophy
	Model: Lighter Colour with Green Eyes and Weapons.
	
**Frozen Bones**

	Faction: MountainMonsters
	Weapons: Sword or Bow (75 Physical and 125 Frost damage)
	460 base Health
	New Drops: Trophy
	Model: Blue with Blue Eyes/VFX and Weapons.
		
**Charred Remains**

	Faction: Demon
	Weapons: Sword or Bow (85 Physical and 150 Fire damage)
	640 base Health
	New Drops: Trophy
	Model: Black with Orange Eyes/VFX and Weapons.

** Greater Surtling**

	Faction: Demon
	Firebolt Ability. (75 Blunt and 125 Fire damage)
	500 base Health
	New Drops: Trophy
	Model: Flowing Orange/Red/Black with Custom Fire VFX/SFX

**Stormling**

	Faction: ForestMonsters
	Stormbolt Ability. (10 Blunt and 25 Lightning damage)
	100 base Health
	New Drops: Stormling Core and Trophy
	Model: Blue with Custom Lightning VFX and SFX

**Frostling**

	Faction: MountainMonsters
	Icebolt Ability. (40 Blunt and 50 Frost damage)
	200 base Health
	New Drops: Frostling Core and Trophy
	Model: Teal with Custom Snow/Ice VFX and SFX

**Voidling**

	Faction: PlainsMonsters
	Voidbolt Ability. (40 Frost, Lightning and Poison damage)
	300 base Health
	New Drops: Voidling Core and Trophy
	Model: Very Dark Burgandy with Custom Arcane/Darkness VFX and SFX

**Obsidian Golem**

	Faction: Demon
	1800 base Health
	New Drops: Obsidian Golem Trophy
	Model: Black/Grey/White with Custom Texture

**Lava Golem**

	Faction: Demon
	1800 base Health
	New Drops: Lava Golem Trophy
	Model: Red/Orange/Black with Custom Flowing Texture and Red/Orange body smoke

**Ice Golem**

	Faction: MountainMonsters
	1300 base Health
	New Drops: Ice Golem Trophy
	Model: Teal/Blue/Black with Custom Flowing Texture and Teal/Blue body smoke

**White Ghost**

	Same as Vanilla Ghost with Grey Smoke

**Teal Ghost**

	Immune to Frost
	180 base Health
	Model: Same as Vanilla Ghost with Teal Smoke

**Dire Wolf**

	Faction: MountainMonsters
	Attacks: 210 Damage (Physical/Frost/Poison)
	500 base Health
	New Drops: Dire Wolf Trophy and Pelt
	Model: Black/Grey with Red Eyes
	Procration: Dire Wolf Cub (20% chance, Duration: 120)

**Forest Wolf**

	Faction: ForestMonsters
	Attacks: 90 Damage (Physical)
	300 base Health
	New Drops: Forest Wolf Trophy and Pelt
	Model: Tan/Grey
	Procration: Forest Wolf Cub (30% chance, Duration: 75)

**Vilefang**

	Faction: PlainsMonsters
	Attacks: 165 Damage (Physical/Poison)
	410 base Health
	New Drops: Vilefang Trophy
	Model: Black/Green with green eyes and green body smoke
	Procration: Vilefang Cub (15% chance, Duration: 90)

**Living Lava**

	Faction: Demon
	Fire Nova Ability. (180 Fire Damage)
	500 base Health
	New Drops: Living Lava Trophy
	Model: Flowing Lava with Custom Hit/Death/Jump VFX and SFX.

**Living Water**

	Faction: Demon
	Water Nova Ability. (80 Physical Damage and give Wet status effect)
	150 base Health
	New Drops: Living Water Trophy and Globe of Water
	Model: Flowing Water with Custom Hit/Death/Jump VFX.

**Black Deer**

	Faction: Boss (So other factions dont attack them)
	200 base Health
	New Drops: Black Deer Trophy and Hide.
	Model: Grey/Black with Blue Smoke.

**Black Stag**

	Faction: Boss (So other factions dont attack them)
	200 base Health
	New Drops: Black Deer Trophy and Hide.
	Model: Grey/Black with Blue/Teal body smoke.

**All reskins use the same animation names the reskin is based off.**
**All custom Textures render no higher that 512x512 and use the Filter: Point(no filter).**

## Status Effects

**Horrors**

	Duration: 30s
	Stamina: -2 per second (Can not be resisted)
	Jump Stamina Use: -75%
	Run Stamina Drain: -75%
	Cooldown: 120s
	AoE: No

**Hexed**

	Duration: 60s
	Health: -1 per second (Can not be resisted)
	Stamina: -1 per second (Can not be resisted)
	Cooldown: 120s
	AoE: No

**Infected**

	Duration: 60s
	Health: -1 per second (Can not be resisted)
	Stamina Regen: -25%
	Health Regen: -25%
	Cooldown: 120s
	AoE: Yes with matching AoE Projectile

**Diseased**

	Duration: 60s
	Health: -2 per second (Can not be resisted)
	Stamina Regen: -50%
	Health Regen: -50%
	Cooldown: 120s
	AoE: Yes with matching AoE Prefab

**Weak**

	Duration: 60s
	Stamina Regen: -35%
	Carry Weight: -100
	Cooldown: 120s
	AoE: Yes with matching AoE Prefab

**Flash Burn**

	Duration: 60s
	Stamina Regen: -15%
	Health Regen: -15%
	Cooldown: 120s
	AoE: No

**Blistered**

	Duration: 60s
	Stamina Regen: -30%
	Health Regen: -30%
	Cooldown: 120s
	AoE: No

**Haste**

	Duration: 12s
	Movement Speed: +50%
	Cooldown: 30s
	AoE: No

**Paralysis**

	Duration: 5s
	Movement Speed: 0
	Cooldown: 20s
	AoE: No

**Slow**

	Duration: 10s
	Movement Speed: -50%
	Cooldown: 20s
	AoE: No

**Frostbite**

	Duration: 25s
	Damage: 6 (Can be resisted)
	Interval: 1s
	Cooldown: 50s
	AoE: No

**Frostbitten**

	Duration: 25s
	Damage: 12 (Can be resisted)
	Interval: 1s
	Cooldown: 50s
	AoE: No

**Major Neuralgia**

	Duration: 25s
	Damage: 18 (Can be resisted)
	Interval: 1s
	Cooldown: 50s
	AoE: No

**Minor Injury**

	Duration: 25s
	Damage: 1 (Can not be resisted)
	Interval: 1s
	Cooldown: 50s
	AoE: Yes with matching AoE Prefab

**Injured**

	Duration: 25s
	Damage: 2 (Can not be resisted)
	Interval: 1s
	Cooldown: 50s
	AoE: Yes with matching AoE Prefab

**Major Injury**

	Duration: 25s
	Damage: 4 (Can not be resisted)
	Interval: 1
	Cooldown: 50s
	AoE: Yes with matching AoE Prefab

**Lesser HoT**

	Duration: 4s
	Health: 52
	Interval: 1s
	Cooldown: 12s
	AoE: Yes with matching AoE Prefab

**Heal Over Time**

	Duration: 4s
	Health: 104
	Interval: 1s
	Cooldown: 12s
	AoE: Yes with matching AoE Prefab

**Greater HoT**

	Duration: 4s
	Health: 208
	Interval: 1s
	Cooldown: 12s
	AoE: Yes with matching AoE Prefab

**Lesser Regeneration**

	Duration: 16s
	Health: 56
	Interval: 1s
	Cooldown: 32s
	AoE: Yes with matching AoE Prefab

**Regeneration**

	Duration: 16s
	Health: 112
	Interval: 1s
	Cooldown: 32s
	AoE: Yes with matching AoE Prefab

**Greater Regeneration**

	Duration: 16s
	Health: 224
	Interval: 1s
	Cooldown: 32s
	AoE: Yes with matching AoE Prefab

**Lesser Protection**

	Duration: 40s
	AbsorbAmount: 250
	Cooldown: 40s
	AoE: Yes with matching AoE Prefab

**Protection**

	Duration: 40s
	AbsorbAmount: 500
	Cooldown: 40s
	AoE: Yes with matching AoE Prefab

**Greater Protection**

	Duration: 40s
	AbsorbAmount: 1000
	Cooldown: 40s
	AoE: Yes with matching AoE Prefab

**Poisoned**

	Duration: 45s
	Damage: 1s
	Interval: 2s
	Cooldown: 90s
	AoE: No

## Swords

	Max Level: 5 (4 Upgrades)
	Knockback: 30
	Damage: 120 (40 Slash + 3 per level, 80 Elemental + 8 per level)
	Block Power: 20 + 5 per level
	Deflection Force: 30 + 5 per level


## StatusEffect ID's

- SE_Horrors_DoD
- SE_Hexed_DoD
- SE_Infected_DoD
- SE_Diseased_DoD
- SE_Weak_DoD
- SE_FlashBurn_DoD
- SE_Blistered_DoD
- SE_Haste_DoD
- SE_Paralyze_DoD
- SE_Slow_DoD
- SE_MajorNeuralgia_DoD
- SE_Frostbitten_DoD
- SE_Frostbite_DoD
- SE_GreaterBleeding_DoD
- SE_Bleeding_DoD
- SE_LesserBleeding_DoD
- SE_GreaterShield_DoD
- SE_Shield_DoD
- SE_LesserShield_DoD
- SE_GreaterRegen_DoD
- SE_Regen_DoD
- SE_LesserRegen_DoD
- SE_GreaterHoT_DoD
- SE_HoT_DoD
- SE_LesserHoT_DoD
- SE_Poisoned_DoD

## AoE Prefab ID's

- AoE_HoT50_DoD
- AoE_HoT100_DoD
- AoE_HoT200_DoD
- AoE_Regen50_DoD
- AoE_Regen100_DoD
- AoE_Regen200_DoD
- AoE_Protection250_DoD
- AoE_Protection500_DoD
- AoE_Protection1000_DoD
- AoE_Infected_DoD
- AoE_Diseased_DoD
- AoE_Weak_DoD

## Prefab ID's

- Rug_BlackDeer_DoD
- Rug_ForestWolf_DoD
- Rug_DireWolf_DoD
- SkeletonG_DoD
- Bow_SkelG_DoD
- Sword_SkelG_DoD
- SkeletonR_DoD
- Bow_SkelR_DoD
- Sword_SkelR_DoD
- FrozenBones_DoD
- Bow_FrozenBones_DoD
- Sword_FrozenBones_DoD
- TrophyFrozenBones_DoD
- BlackStag_DoD
- BlackDeer_DoD
- BlackDeer_Ragdoll_DoD
- SwordFlametal1_DoD
- SwordFlametal2_DoD
- SwordSpirit_DoD
- SwordFrometal1_DoD
- SwordFrometal2_DoD
- SwordFrometal3_DoD
- Stormblade_DoD
- SwordFelmetal1_DoD
- SwordFelmetal2_DoD
- MineRock_FelOre_DoD
- MineRock_FroOre_DoD
- FelmetalBar_DoD
- FelmetalOre_DoD
- FrometalBar_DoD
- FrometalOre_DoD
- SteelBar_DoD
- IceGolem_DoD
- IceGolem_Head_DoD
- IceGolem_Ragdoll_DoD
- IceGolem_Spikes_DoD
- IceGolem_Clubs_DoD
- LavaGolem_DoD
- LavaGolem_Head_DoD
- LavaGolem_Ragdoll_DoD
- LavaGolem_Spikes_DoD
- LavaGolem_Clubs_DoD
- ObsidianGolem_DoD
- ObsidianGolem_Head_DoD
- ObsidianGolem_Ragdoll_DoD
- ObsidianGolem_Spikes_DoD
- ObsidianGolem_Clubs_DoD
- Ghost_Ice_DoD
- Ghost_White_DoD
- Frostling_DoD
- Stormling_DoD
- Voidling_DoD
- ForestWolf_DoD
- ForestWolf_Cub_DoD
- ForestWolf_Ragdoll_DoD
- ForestWolf_Attack1_DoD
- ForestWolf_Attack2_DoD
- ForestWolf_Attack3_DoD
- DireWolf_DoD
- DireWolf_Cub_DoD
- DireWolf_Ragdoll_DoD
- DireWolf_Attack1_DoD
- DireWolf_Attack2_DoD
- DireWolf_Attack3_DoD
- Vilefang_DoD
- Vilefang_Cub_DoD
- Vilefang_Ragdoll_DoD
- Vilefang_Attack1_DoD
- Vilefang_Attack2_DoD
- Vilefang_Attack3_DoD
- LivingLava_DoD
- livinglava_nova_attack_dod
- LivingWater_DoD
- livingwater_nova_attack_dod
- imp_icebolt_attack_dod
- imp_stormbolt_attack_dod
- imp_voidbolt_attack_dod
- Imp_Icebolt_projectile_dod
- Imp_stormbolt_projectile_dod
- Imp_Voidbolt_projectile_dod
- DireWolfPelt_DoD
- ForestWolfPelt_DoD
- FrostlingCore_DoD
- StormlingCore_DoD
- VoidlingCore_DoD
- WaterGlobe_DoD
- SpiderChitin_DoD
- BlackDeerHide_DoD
- TrophyFrostling_DoD
- TrophyStormling_DoD
- TrophyVoidling_DoD
- TrophyOGolem_DoD
- TrophyLGolem_DoD
- TrophyIceGolem_DoD
- TrophyVilefang_DoD
- TrophyDireWolf_DoD
- TrophyForestWolf_DoD
- TrophyLivingLava_DoD
- TrophyLivingWater_DoD
- TrophyBlackDeer_DoD
- VFX_LivingLava_Attack_DoD
- VFX_LivingLava_Death_DoD
- VFX_LivingLava_Hit_DoD
- VFX_LivingWater_Attack_DoD
- VFX_LivingWater_Death_DoD
- VFX_LivingWater_Hit_DoD
- VFX_IceImpDeath_DoD
- VFX_IceImpHit_DoD
- VFX_StormImpDeath_DoD
- VFX_StormImpHit_DoD
- VFX_VoidImpHit_DoD
- VFX_ArcaneImpDeath_DoD
- VFX_Wolf_Death_DoD
- VFX_Wolf_Hit_DoD
- FX_Backstab_DoD
- FX_Crit_DoD
- VFX_Blocked_DoD
- VFX_Frostbite_DoD
- VFX_HitSparks_DoD
- VFX_Injured_DoD

## Animation Controller ID's

- DeerAnimator_DoD
- GolemAnimator_DoD
- Imp_Animator_DoD
- WolfAnimator_DoD
- WolfCubAnimator_DoD
- SkeletonAnimator_DoD

## Example aAdvancedCustomAttacks for a Boar made with RRR (or any mob with the animation attack, see RRR Docs)


	// Increases the Greydwarf Shaman Heal to 52 health over 4 seconds (20 normally)
	 {
		"sOriginalPrefabName" : "Greydwarf_shaman_heal",
		"sAITargetType" : "FriendHurt",
		"sAttackStatusEffect" : "SE_LesserHoT_DoD",
		"sTargetAnim" : "attack",
		"fAIAttackInterval" : 8,
		"bAIPrioritized" : true,
		"dtAttackDamageOverride" : null,
		"fAttackDamageTotalOverride" : null,
		"sAttackProjectileOverride" : "AoE_HoT50_DoD",
		"aStartEffects" : null,
		"aHitEffects" : null,
		"aTriggerEffects" : null
	 },
	// Changes the Greydwarf Shaman Heal to 56 health over 16 seconds
	 {
		"sOriginalPrefabName" : "Greydwarf_shaman_heal",
		"sAITargetType" : "FriendHurt",
		"sAttackStatusEffect" : "SE_LesserRegen_DoD",
		"sTargetAnim" : "attack",
		"fAIAttackInterval" : 20,
		"bAIPrioritized" : true,
		"dtAttackDamageOverride" : null,
		"fAttackDamageTotalOverride" : null,
		"sAttackProjectileOverride" : "AoE_Regen50_DoD",
		"aStartEffects" : null,
		"aHitEffects" : null,
		"aTriggerEffects" : null
	 },		 
	// Increases the Goblin Shaman Shield to absorb 250 damage (100 normally)
	 {
		"sOriginalPrefabName" : "GoblinShaman_attack_protect",
		"sAITargetType" : "FriendHurt",
		"sAttackStatusEffect" : "SE_LesserShield_DoD",
		"sTargetAnim" : "attack",
		"fAIAttackInterval" : 40,
		"bAIPrioritized" : true,
		"dtAttackDamageOverride" : null,
		"fAttackDamageTotalOverride" : null,
		"sAttackProjectileOverride" : "AoE_Shield250_DoD",
		"aStartEffects" : null,
		"aHitEffects" : null,
		"aTriggerEffects" : null
	 }


## Patch Notes

0.2.0

Added Texture and Eyes and updated VFX for Voidling, Frostling and Stormling (And thier Trophy's).
Added Greater Surtling.
Added Modified Animator Controllers for all mobs.
Added Black Deer, Dire Wolf and Forest Wolf Rug's.
Added 3 Skeleton Reskins.

0.1.9

Added Black Deer and Stag.
Added smoke effect to Vilefang, Ice Golem and Fire Golem.

0.1.8

Added 15 AoE Projectiles.
Added code to load said Projectiles with Status Effects.
Added Poisoned Status Effect.

0.1.7

Added 25 Status Effects.
Added 9 Silver Swords with custom VFX: 2 Lightning, 2 Fire, 2 Frost, 2 Poision, 1 Shadow.
Added Steel bars, can convert iron via Blast Furnace.
Added Felmetal and Frometal ore, bars and deposit, can convert via Blast Furnace.
Added some logging messages in the console.

0.1.6

Fixed Missing Living Lava and Water prefabs.

0.1.5

Fixed Readme

0.1.4

Added 3 Wolf and Wolf Cub reskins: Dire Wolf, Forest Wolf and Vilefang.
Added 2 Blob reskins: Living Lava and Living Water.

0.1.3

Updated Voidling and Frostling VFX.
Added 3 Reskins of the Stone Golem:- Obsidian, Lava and Ice Golem.

0.1.2

Fixed Stormling VFX. (Thanx Hugo and Balrond)

0.1.1

Fixed Freezegland Shader.
Fixed incorrect values for Voidbolt and Icebolt.
Fixed missing Destruction and ZNetView scripts on Hit VFX.
Included missing Example JSON's.
Added 2 variations of Ghost, Teal and White.

0.1.0

Initial Release.